DH_INSTALLDOCS(1)

NAME
dh_installdocs - install documentation into package build directories

SYNOPSIS
dh_installdocs [debhelper options] [-A] [-Xitem] [file ...]

DESCRIPTION
dh_installdocs is a debhelper program that is responsible for installing documentation into usr/share/doc/package in package build directories.

FILES

debian/package.docs
    List documentation files to be installed into package.

    In compat 11 (or later), these will be installed into /usr/share/doc/mainpackage. Previously it would be /usr/share/doc/package.

debian/copyright
    The copyright file is installed into all packages, unless a more specific copyright file is available.

debian/package.copyright
debian/package.README.Debian
debian/package.TODO
    Each of these files is automatically installed if present for a package.

debian/README.Debian
debian/TODO
    These files are installed into the first binary package listed in debian/control.

    Note that README.debian files are also installed as README.Debian, and TODO files will be installed as TODO.Debian in non-native packages.

debian/package.doc-base
    Installed as doc-base control files. Note that the doc-id will be determined from the Document: entry in the doc-base control file in question. In the event that multiple doc-base files in a single source package share the same doc-id, they will be installed to usr/share/doc-base/package instead of usr/share/doc-base/doc-id.

debian/package.doc-base.*
    If your package needs to register more than one document, you need multiple doc-base files, and can name them like this. In the event that multiple doc-base files of this style in a single source package share the same doc-id, they will be installed to usr/share/doc-base/package-* instead of usr/share/doc-base/doc-id.

OPTIONS

-A, --all
    Install all files specified by command line parameters in ALL packages acted on.

-Xitem, --exclude=item
    Exclude files that contain item anywhere in their filename from being installed. Note that this includes doc-base files.

--link-doc=package
    Make the documentation directory of all packages acted on be a symlink to the documentation directory of package. This has no effect when acting on package itself, or if the documentation directory to be created already exists when dh_installdocs is run. To comply with policy, package must be a binary package that comes from the same source package.

    debhelper will try to avoid installing files into linked documentation directories that would cause conflicts with the linked package. The -A option will have no effect on packages with linked documentation directories, and copyright, changelog, README.Debian, and TODO files will not be installed.

    (An older method to accomplish the same thing, which is still supported, is to make the documentation directory of a package be a dangling symlink, before calling dh_installdocs.)

    CAVEAT: If a previous version of the package was built without this option and is now built with it (or vice-versa), it requires a "dir to symlink" (or "symlink to dir") migration. Since debhelper has no knowledge of previous versions, you have to enable this migration itself.

    This can be done by providing a "debian/package.maintscript" file and using dh_installdeb(1) to provide the relevant maintainer script snippets.

file ...
    Install these files as documentation into the first package acted on. (Or in all packages if -A is specified).

EXAMPLES
This is an example of a debian/package.docs file:

  README
  TODO
  debian/notes-for-maintainers.txt
  docs/manual.txt
  docs/manual.pdf
  docs/manual-html/

NOTES
Note that dh_installdocs will happily copy entire directory hierarchies if you ask it to (similar to cp -a). If it is asked to install a directory, it will install the complete contents of the directory.

SEE ALSO
debhelper(7)

This program is a part of debhelper.

AUTHOR
Joey Hess <joeyh@debian.org>